Bug 1116784 - Patternfly theme: upload button needs to be pressed twice
Summary: Patternfly theme: upload button needs to be pressed twice
Status: VERIFIED
Alias: None
Product: RHQ Project
Classification: Other
Component: Core UI
Version: 4.12
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: ---
: RHQ 4.13
Assignee: Jirka Kremser
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1117760
TreeView+ depends on / blocked
 
Reported: 2014-07-07 10:12 UTC by Thomas Segismont
Modified: 2015-09-03 00:04 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed:


Attachments (Terms of Use)

Description Thomas Segismont 2014-07-07 10:12:16 UTC
Description of problem:
When you try to upload something to the RHQ server (agent plugin, child resource content), you can't upload it at first.

When you select the file to upload and click upload, a red icon is shown. Then you select the file again, clik upload again, it works.

Version-Release number of selected component (if applicable):
4.12-SNAPSHOT

How reproducible:
Always (with Firefox 30 on Fedora 30), don't know for other browsers/systems.

Steps to Reproduce:
See description above.

Actual results:
You need two tries to upload a file

Expected results:
Upload on first try

Comment 1 Jirka Kremser 2014-07-18 15:06:45 UTC
branch:  master
link:    https://github.com/rhq-project/rhq/commit/132e2f1f0
time:    2014-07-18 17:05:23 +0200
commit:  132e2f1f0fa5d31bec3c2743da884d1423ae357d
author:  Jirka Kremser - jkremser@redhat.com
message: [BZ 1116784] - Patternfly theme: upload button needs to be pressed twice
         - making the upload button enabled by default and removing the
         change handler that was causing the problems, also fixing the
         height of the button in FF

Comment 3 Armine Hovsepyan 2014-07-28 10:55:15 UTC
verified on RHQ 4.13 master
Version : 4.13.0-SNAPSHOT
Build Number : f8e474f


Note You need to log in before you can comment on or make changes to this bug.